/*
 * Copyright 2012 Adaptrex, LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.adaptrex.core.ext.data;

import com.fasterxml.jackson.annotation.JsonInclude;

public class Filter {

	private String		property;
	private Object		value;
	
	public Filter(String property, Object value) {
		this.property = property;
		this.value = value;
	}

	@JsonInclude(JsonInclude.Include.NON_NULL)
	public Object getValue() {
		return value;
	}

	@JsonInclude(JsonInclude.Include.NON_NULL)
	public String getProperty() {
		return property;
	}
}