/*
 * Copyright 2012 Adaptrex, LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.adaptrex.core.ext.jsf;

import java.io.IOException;

import javax.faces.component.UIComponentBase;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;

public class ExtComponentBase extends UIComponentBase {
	
	@Override
	public String getFamily() { 
		return null;
	}

	private FacesContext getContext() {
		return FacesContext.getCurrentInstance();
	}
	
	protected HttpServletRequest getRequest() {
		return  (HttpServletRequest) 
				getContext().getExternalContext().getRequest();
	}

	protected void setAttribute(String key, Object val) {
		getRequest().setAttribute("adaptrex_" + key, val);
	}

	protected Object getAttribute(String key) {
		return getRequest().getAttribute("adaptrex_" + key);
	}

	/*
	 * Write to our response
	 */
	protected void write(String output) throws IOException {
		getContext().getResponseWriter().write(output + "\n");
	} 
	
	protected void writeScript(String output) throws IOException {
		write("<script type='text/javascript'>\n" + output + "\n</script>");
	}
}
